const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function (sequelize, DataTypes) {
  const samagri = sequelize.define(
    'samagri',
    {
      id: {
        type: DataTypes.UUID,
        primaryKey: true,
      },

      name: {
        type: DataTypes.TEXT,
      },

      description: {
        type: DataTypes.TEXT,
      },

      standard_qty: {
        type: DataTypes.INTEGER,
      },

      units: {
        type: DataTypes.ENUM,
        values: [
          'ml',
          'litres',
          'gms',
          'kgs',
          'no',
          'packets',
          'dozens',
          'bundles',
          'other',
          'bunch',
          'set',
        ],
      },

      cost_price: {
        type: DataTypes.INTEGER,
      },
      pujari_selling_price: {
        type: DataTypes.INTEGER,
      },
      customer_mrp: {
        type: DataTypes.INTEGER,
      },

      price_standard_qty: {
        type: DataTypes.INTEGER,
      },

      karishye_provided: {
        type: DataTypes.ENUM,

        values: ['stocks', 'does_not_stock', 'does_not_stock_but_can_supply'],
      },

      units_in_stock: {
        type: DataTypes.INTEGER,
      },
      orderId: {
        type: DataTypes.INTEGER,
      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: false,
      paranoid: true,
      freezeTableName: true,
    },
  );

  samagri.associate = (db) => {
    db.samagri.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.samagri.belongsTo(db.users, {
      as: 'updatedBy',
    });

    // db.samagri.hasMany(db.booking_samagri_mappings, {
    //   foreignKey: 'samagri_id', targetKey: 'id'  
    // });
    // db.booking_samagri_mappings.belongsTo(db.samagri);
  };

  return samagri;
};
